<?php 

remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );

/**
 * Output WooCommerce content.
 *
 * This function is only used in the optional 'woocommerce.php' template.
 * which people can add to their themes to add basic woocommerce support.
 * without hooks or modifying core templates.
 *
 */
if ( ! function_exists( 'woocommerce_content' ) ) {
    function woocommerce_content() {

        if ( is_singular( 'product' ) ) {

            while ( have_posts() ) : the_post();

                wc_get_template_part( 'content', 'single-product' );

            endwhile;

        } else {

            do_action( 'woocommerce_archive_description' );
            get_template_part( 'woocommerce/loop-product', get_option( 'shop_layout', 'grid-4' ) );

        }
    }
}